aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-11.0-arm/15-xz.sh
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2021-02-12 10:35:19 +0200
committerHeikki Halmet <heikki.halmet@qt.io>2021-09-03 13:14:16 +0300
commit4d617e24eebbff8cfe32f8dc8aed9e78ab55cdce (patch)
treea0856a4f3af5eacc83d085ad506699fe6c1d7cc2 /coin/provisioning/qtci-macos-11.0-arm/15-xz.sh
parent456bc458e83af4362070311947f1e1c6877a9a06 (diff)
Add provisioning scripts for macOS 11.0 ARM
Task-number: QTQAINFRA-4263 Task-number: QTQAINFRA-4012 Pick-to: 6.2 Change-Id: Ia862ac2582912f6faa96667880fb605861c770c6 Reviewed-by: Ville-Pekka Karhu <ville-pekka.karhu@qt.io> Reviewed-by: Qt CI Bot <qt_ci_bot@qt-project.org> Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
Diffstat (limited to 'coin/provisioning/qtci-macos-11.0-arm/15-xz.sh')
-rwxr-xr-xcoin/provisioning/qtci-macos-11.0-arm/15-xz.sh63
1 files changed, 63 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-11.0-arm/15-xz.sh b/coin/provisioning/qtci-macos-11.0-arm/15-xz.sh
new file mode 100755
index 00000000..f62fb3c3
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11.0-arm/15-xz.sh
@@ -0,0 +1,63 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs XZ-Utils
+
+# XZ-Utils are needed for uncompressing xz-compressed files
+
+# pkg was self builded.
+# wget https://downloads.sourceforge.net/project/lzmautils/xz-5.2.5.tar.gz
+# tar -xzf xz-5.2.5.tar.gz -C /tmp
+# cd /tmp/xz-5.2.5
+# ./configure
+# make
+# ./configure prefix=/tmp/destination_root
+# make install
+# cd /tmp
+# pkgbuild --root destination_root --identifier io.qt.xz.pkg xz-arm64.pkg
+
+set -ex
+
+# shellcheck source=../common/macos/InstallPKGFromURL.sh
+source "${BASH_SOURCE%/*}/../common/macos/InstallPKGFromURL.sh"
+PrimaryUrl="http://ci-files01-hki.intra.qt.io/input/mac/macos_11.0_big_sur_arm/xz-arm64.pkg"
+# SourceUrl="https://tukaani.org/xz/xz-5.2.5.tar.gz"
+
+SHA1="1afc327965d4af33399ae28f22c4b8e5a9e98dc2"
+DestDir="/"
+
+InstallPKGFromURL "$PrimaryUrl" "$PrimaryUrl" "$SHA1" "$DestDir"
+
+echo "XZ = 5.2.5" >> ~/versions.txt